VERSION 5.00
Begin VB.MDIForm frmMain 
   BackColor       =   &H8000000C&
   Caption         =   "MDI Help Example Program"
   ClientHeight    =   4845
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   6975
   HelpContextID   =   2010
   LinkTopic       =   "MDIForm1"
   StartUpPosition =   3  'Windows Default
   WhatsThisHelp   =   -1  'True
   Begin VB.Timer Timer3 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   5940
      Top             =   1185
   End
   Begin VB.Timer Timer2 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   5700
      Top             =   660
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   500
      Left            =   6195
      Top             =   660
   End
   Begin VB.PictureBox frame_Toolbar 
      Align           =   1  'Align Top
      Height          =   555
      Left            =   0
      ScaleHeight     =   495
      ScaleWidth      =   6915
      TabIndex        =   0
      Top             =   0
      Width           =   6975
      Begin VB.PictureBox btn_WhatsThisHelp 
         Appearance      =   0  'Flat
         AutoSize        =   -1  'True
         BackColor       =   &H80000005&
         BorderStyle     =   0  'None
         ForeColor       =   &H80000008&
         Height          =   330
         Left            =   5580
         Picture         =   "Main.frx":0000
         ScaleHeight     =   330
         ScaleWidth      =   345
         TabIndex        =   3
         Top             =   90
         WhatsThisHelpID =   20120
         Width           =   345
      End
      Begin VB.CommandButton btn_OpenDialog 
         Caption         =   "Dialog"
         Height          =   345
         HelpContextID   =   20110
         Left            =   120
         TabIndex        =   2
         ToolTipText     =   "Click to Open the dialog box"
         Top             =   75
         WhatsThisHelpID =   20110
         Width           =   690
      End
      Begin VB.CommandButton icon_WhatsThisHelp 
         DownPicture     =   "Main.frx":0672
         Height          =   450
         Left            =   6120
         Picture         =   "Main.frx":0CE4
         Style           =   1  'Graphical
         TabIndex        =   1
         Top             =   15
         Visible         =   0   'False
         Width           =   465
      End
   End
   Begin VB.Menu mnu_Tools 
      Caption         =   "&Tools"
      HelpContextID   =   20800
      Begin VB.Menu mnu_ColorTool 
         Caption         =   "&Color Tool"
         HelpContextID   =   20810
      End
   End
   Begin VB.Menu mnu_Help 
      Caption         =   "&Help"
      HelpContextID   =   20900
      Begin VB.Menu mnu_HelpContents 
         Caption         =   "&Contents"
         HelpContextID   =   20910
      End
      Begin VB.Menu mnu_HelpIndex 
         Caption         =   "&Index"
         HelpContextID   =   20920
      End
      Begin VB.Menu bar_21 
         Caption         =   "-"
      End
      Begin VB.Menu mnu_HelpTrainingCards 
         Caption         =   "&Training Cards"
         Begin VB.Menu mnu_TrainBlivitPins 
            Caption         =   "Counting &Blivit Pins"
            HelpContextID   =   20931
         End
      End
      Begin VB.Menu mnu_WhatsThisHelp 
         Caption         =   "What's This? Help"
         HelpContextID   =   20120
      End
      Begin VB.Menu bar_22 
         Caption         =   "-"
      End
      Begin VB.Menu mnu_About 
         Caption         =   "&About"
         HelpContextID   =   20940
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub btn_OpenDialog_Click()

frmDialog1.Show 1

'**Make sure the main window stays on top when you close the
'**dialog box, even in VB IDE.
success = BringWindowToTop(frmMain.hWnd)

End Sub

Private Sub btn_WhatsThisHelp_Click()

'**Set What's This? Help mode.
'**Remember, anything you want done now, do before setting this mode.
If mnu_ColorTool.Checked <> 0 Then
    frmTool1.WhatsThisMode
End If
WhatsThisMode
'**No commands past this point are executed until VB releases
'**What's This? Help mode.

'**Reset the What's This? Help button to its "up" position.
btn_WhatsThisHelp.Picture = icon_WhatsThisHelp.Picture

End Sub

Private Sub btn_WhatsThisHelp_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    
btn_WhatsThisHelp.Picture = icon_WhatsThisHelp.DownPicture
frmChild1.Text1.SelStart = 0
frmChild1.Text1.SelLength = 0

End Sub

Private Sub MDIForm_Load()

'**Clear App.HelpFile. This is necessary for making the menu F1
'**Help into popups . This seems to be the only way that the F1
'**key does something that the HTML Help subclassing module can detect.
App.HelpFile = ""

'**Get the application data file. This contains positioning data
'**and Help file names.
dataFile$ = AddFile$(App.Path, "HelpData.dat")

'**Find out what kind of Help to use
useHTMLPopups% = GetPrivateProfileInt("General", "HTMLPopups", 0, dataFile$)
useHTMLFormLevelHelp% = GetPrivateProfileInt("General", "HTMLFormLevelHelp", 0, dataFile$)

'**Position the form
Call PositionForm(Me, Me.Name & " Position", RS_REPOSITION Or RS_CHANGEKEEPONTOP, RS_NOTONTOP, RS_SHOW)

'**LOad the child form. The MDI form is set to automatically show any
'**loaded child forms.
Load frmChild1

'**Subclass this form
Call HHSubclass(Me)

End Sub

Private Sub MDIForm_Resize()

'**Make sure that the whole toolbar is always visible.
If frmMain.ScaleWidth < frmMain.btn_WhatsThisHelp.Left + frmMain.btn_WhatsThisHelp.Width + frmMain.btn_WhatsThisHelp.Width / 4 Then
    frmMain.Width = frmMain.btn_WhatsThisHelp.Left + frmMain.btn_WhatsThisHelp.Width * 2
End If

'**Don't let the user completely cut out the edit area.
If frmMain.ScaleHeight < frmMain.frame_Toolbar.Height * 2 Then
    frmMain.Height = frmMain.frame_Toolbar.Height * 4
End If

End Sub

Private Sub MDIForm_Unload(Cancel As Integer)

Call SavePosition(Me, Me.Name & " Position")
success = WinHelp(Me.hWnd, GetWinHelpFile$("Training Cards"), HELP_TCARD Or HELP_QUIT, ByVal 0&)
Unload frmTool1
Call HHUnSubClass(Me)

End Sub

Private Sub mnu_About_Click()

    frmAbout.Show 1

End Sub

Private Sub mnu_ColorTool_Click()

If mnu_ColorTool.Checked = 0 Then
    frmTool1.Show
    mnu_ColorTool.Checked = 1
    
Else
    Unload frmTool1
    mnu_ColorTool.Checked = 0
End If

End Sub


Private Sub mnu_HelpContents_Click()

Call OpenHelpTopic(Me, 1)

End Sub

Private Sub mnu_HelpIndex_Click()

Call OpenHelpTopic(Me, 2)

End Sub

Private Sub mnu_TrainBlivitPins_Click()

TrainingCards& = 1
Call OpenHelpTopic(Me, 10010)

End Sub

Private Sub mnu_WhatsThisHelp_Click()

btn_WhatsThisHelp_Click
    
End Sub

Public Sub OnContextMenu(hwndControl As Long)

'*Call the Help procedure***********************************
Call RightClickPopupHelp(Me, hwndControl)

End Sub

Public Sub OnHelp(hwndControl As Long, iCtrlId As Long, mouseX As Long, mouseY As Long)

'**Call the Help procedure**********************************
Call MainWindowOnHelp(Me, hwndControl, iCtrlId, mouseX, mouseY)

End Sub

Public Sub OnNavComplete(phhnt As Long)

End Sub

Public Sub OnTCard(wParam As Long, lParam As Long)

Dim curHelpFile$

Select Case wParam
Case 1  'OK button

Case 2  'Cancel button

Case 3  'Abort button

Case 4  'Retry button

Case 5  'Ignore button

Case 6  'Yes button

Case 7  'Close button

Case 8  'User closed the training card
    '**Make sure that the training card Help is closed.
    success = WinHelp(Me.hWnd, GetWinHelpFile$("Training Cards"), HELP_TCARD Or HELP_QUIT, ByVal 0&)
    
Case 9  'Help button

'Case HELP_TCARD_NEXT  'Next button

Case HELP_TCARD_OTHER_CALLER
    '**Someone else wants to use the TCard instance of Help.

Case HELP_TCARD_DATA 'Training card data received
    If lParam = 2000 Then
        success = WinHelp(Me.hWnd, GetWinHelpFile$("Training Cards"), HELP_TCARD Or HELP_QUIT, ByVal 0&)
        frmMain.Timer1.Enabled = 1
    Else
    
    End If

Case Else 'Topic ID sent

End Select

End Sub

Public Sub OnTrack(phhnn As Long)

End Sub

Public Sub OnWindowCreate(phhnt As Long)

End Sub

Private Sub Timer1_Timer()

frmMain.Timer1.Enabled = 0
frmDialog1.Show 1
    
'**Make sure that the main window is back on top. For some
'**reason this doesn't happen automatically--possibly due to
'**some of the subclassing issues.
success = BringWindowToTop(frmMain.hWnd)

End Sub

Private Sub Timer2_Timer()

frmMain.Timer2.Enabled = 0
Call PositionTCToWindow

End Sub

Private Sub Timer3_Timer()

If ToolOnTop% = 0 Then
    '**Tool is open but not set to on top mode******************************
    If GetForegroundWindow() = frmMain.hWnd Then
        Call SetWindowPos(frmTool1.hWnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE)
        ToolOnTop% = 1
    ElseIf GetForegroundWindow() = frmTool1.hWnd And GetNextWindow(frmTool1.hWnd, GW_HWNDNEXT) <> frmMain.hWnd Then
        Call SetWindowPos(frmMain.hWnd, frmTool1.hWnd, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE)
        Call SetWindowPos(frmTool1.hWnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE)
        ToolOnTop% = 1
    End If
Else
    '**Tool is set to on top mode. See if we need to hide it****************
    If GetForegroundWindow() <> frmMain.hWnd And GetForegroundWindow() <> frmTool1.hWnd Then
        Call SetWindowPos(frmTool1.hWnd, HWND_NOTOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE)
        Call SetWindowPos(frmTool1.hWnd, GetForegroundWindow(), 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE)
        Call SetWindowPos(frmMain.hWnd, frmTool1.hWnd, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE)
        ToolOnTop% = 0
    End If
End If

End Sub
